#1660 FATAL ERROR - GEDCOMfile write error - latest SVN

closed-fixed
nobody
None
9
2007-10-01
2007-09-18
No

Just added a photo. Added OBJE to FAM record (photo of 3 children in the family).

Photo record written to GEDCOM file.
Photo added to SQL record and FAM record (as it appears online)

1 OBJE @Mxxxx@ record was NOT written to the GEDCOM file.
the FAM record is correctly reflected in the GEDCOM file, but has no new OBJE tag.

here is the log, advising us so:

18.09.2007 09:01:24 75.66.85.130 Accepted change F14635_Arnold.ged replace into database ->Stephen<-
18.09.2007 09:01:24 75.66.85.130 Gedcom record F14635 was appended back to the GEDCOM file.
18.09.2007 09:01:24 75.66.85.130 Corruption found in GEDCOM Arnold.ged Attempted to correct. Replaced gedcom record F14635 was not found in the gedcom file.
18.09.2007 09:01:23 75.66.85.130 Accepted change M2338_Arnold.ged append into database ->Stephen<-
18.09.2007 09:01:07 75.66.85.130 Media thumbnail media/thumbs/Ivy_Pearl_Asa-Dckrsn-F14635.jpg generated by >Stephen<
18.09.2007 09:01:07 75.66.85.130 Media file media/Ivy_Pearl_Asa-Dckrsn-F14635.jpg uploaded by >Stephen<

-Stephen

Discussion

  • Stephen Arnold

    Stephen Arnold - 2007-09-19

    Logged In: YES
    user_id=1061833
    Originator: YES

    This has now escalated as more errors occuring and the failure to write the GEDCOM file back to disk (sync) has again trashed our 25.7mb GEDfile and it became 8k again with 6 records.

    latest log errors this a.m.

    9.09.2007 09:29:29 75.66.85.130 Accepted change I52548_Arnold.ged replace into database ->Stephen<-
    19.09.2007 09:29:29 75.66.85.130 Gedcom record I52548 was appended back to the GEDCOM file.
    19.09.2007 09:29:29 75.66.85.130 Corruption found in GEDCOM Arnold.ged Attempted to correct. Replaced gedcom record I52548 was not found in the gedcom file.
    19.09.2007 09:29:27 75.66.85.130 Accepted change F20231_Arnold.ged append into database ->Stephen<-
    19.09.2007 09:29:27 75.66.85.130 Accepted change I53620_Arnold.ged append into database ->Stephen<-
    19.09.2007 09:29:27 75.66.85.130 Accepted change I53619_Arnold.ged append into database ->Stephen<-
    19.09.2007 09:29:27 75.66.85.130 Accepted change I53618_Arnold.ged append into database ->Stephen<-
    19.09.2007 09:29:27 75.66.85.130 Accepted change I53617_Arnold.ged append into database ->Stephen<-
    19.09.2007 09:29:27 75.66.85.130 Accepted change F20230_Arnold.ged replace into database ->Stephen<-
    19.09.2007 09:29:27 75.66.85.130 Accepted change I53616_Arnold.ged append into database ->Stephen<-
    19.09.2007 09:26:43 75.66.85.130 /gene/ged/Arnold.ged updated by >Stephen<
    19.09.2007 09:26:43 75.66.85.130 Accepted change F20230_Arnold.ged append into database ->Stephen<-
    19.09.2007 09:26:43 75.66.85.130 Accepted change I53615_Arnold.ged append into database ->Stephen<-
    19.09.2007 09:26:43 75.66.85.130 Accepted change I52553_Arnold.ged replace into database ->Stephen<-
    19.09.2007 09:26:43 75.66.85.130 Gedcom record I52553 was appended back to the GEDCOM file.
    19.09.2007 09:26:43 75.66.85.130 Corruption found in GEDCOM Arnold.ged Attempted to correct. Replaced gedcom record I52553 was not found in the gedcom file.
    19.09.2007 09:26:41 75.66.85.130 Accepted change I52550_Arnold.ged replace into database ->Stephen<-
    19.09.2007 09:26:41 75.66.85.130 Gedcom record I52550 was appended back to the GEDCOM file.
    19.09.2007 09:26:41 75.66.85.130 Corruption found in GEDCOM Arnold.ged Attempted to correct. Replaced gedcom record I52550 was not found in the gedcom file.
    19.09.2007 09:26:39 75.66.85.130 Accepted change I52549_Arnold.ged replace into database ->Stephen<-
    19.09.2007 09:26:39 75.66.85.130 Gedcom record I52549 was appended back to the GEDCOM file.
    19.09.2007 09:26:39 75.66.85.130 Corruption found in GEDCOM Arnold.ged Attempted to correct. Replaced gedcom record I52549 was not found in the gedcom file.

     
  • Stephen Arnold

    Stephen Arnold - 2007-09-19
    • priority: 5 --> 9
    • summary: Serious GEDCOMfile write error - latest SVN --> FATAL ERROR - GEDCOMfile write error - latest SVN
     
  • Stephen Arnold

    Stephen Arnold - 2007-10-01
    • status: open --> closed-fixed
     
  • Stephen Arnold

    Stephen Arnold - 2007-10-01

    Logged In: YES
    user_id=1061833
    Originator: YES

    With latest SVN, write errors no longer occurring. we'll keep reviewing.
    Stephen

     

Log in to post a comment.